<?php
/**************************************************************************************************
|
| iDocScript - Document Sharing Script
| http://www.idocscript.com
| webmaster@idocscript.com
|
|**************************************************************************************************
|
| By using this software you agree that you have read and acknowledged our End-User License 
| Agreement available at http://www.idocscript.com/eula.html and to be bound by it.
|
| Copyright (c) 2011 iDocScript.com. All rights reserved.
|**************************************************************************************************/

include("../include/config.php");
include_once("../include/functions/import.php");
verify_login_admin();
$adminurl = $config['adminurl'];

// DELETE 
if($_REQUEST['delete']=="1")
{
	$DCID = intval($_REQUEST['CID']);
	if($DCID > 0)
	{
		$deletecomment = $DCID;
		
		$deletefrom[] = "docs_comments";

		for($j=0;$j < count($deletefrom);$j++)
		{
			$query = "DELETE FROM ".$deletefrom[$j]." WHERE CID='$deletecomment'";
			$conn->Execute($query);
		}
	}
	$DDID = intval($_REQUEST['DID']);
	if($DDID > 0)
	{
		$deletedoc = $DDID;
		
		$deletefrom[] = "docs";

		for($j=0;$j < count($deletefrom);$j++)
		{
			$query = "UPDATE ".$deletefrom[$j]." SET commentcount=commentcount-1 WHERE DID='$deletedoc'";
			$conn->Execute($query);
		}
	}
	
	$message = "Comment Successfully Deleted.";
	Stemplate::assign('message',$message);
}
// DELETE 

if($_REQUEST['sortby']=="DID")
{
	$sortby = "DID";
	$sort =" order by B.DID";
	$add1 = "&sortby=DID";
}
elseif($_REQUEST['sortby']=="title")
{
	$sortby = "title";
	$sort =" order by B.title";
	$add1 = "&sortby=title";
}
elseif($_REQUEST['sortby']=="username")
{
	$sortby = "username";
	$sort =" order by C.username";
	$add1 = "&sortby=username";
}
elseif($_REQUEST['sortby']=="details")
{
	$sortby = "details";
	$sort =" order by A.details";
	$add1 = "&sortby=details";
}
elseif($_REQUEST['sortby']=="time_added")
{
	$sortby = "time_added";
	$sort =" order by A.time_added";
	$add1 = "&sortby=time_added";
}
else
{
	$sortby = "CID";
	$sort =" order by A.CID";
	$add1 = "&sortby=CID";
}

if($_REQUEST['sorthow']=="desc")
{
	$sorthow ="desc";
	$add1 .= "&sorthow=desc";
}
else
{
	$sorthow ="asc";
	$add1 .= "&sorthow=asc";
}

//Search
$fromid = intval($_REQUEST['fromid']);
$toid = intval($_REQUEST['toid']);
$did = intval($_REQUEST['did']);
$title = cleanit($_REQUEST['title']);
$username = cleanit($_REQUEST['username']);
$details = cleanit($_REQUEST['details']);
if($_POST['submitform'] == "1" || ($_REQUEST['fromid']!="" || $toid>0 || $did>0 || $title!="" || $details!="" || $username!=""))
{
	if($fromid > 0)
	{
		$addtosql = "AND A.CID>='".mysql_real_escape_string($fromid)."'";
		Stemplate::assign('fromid',$fromid);
	}
	else
	{
		$addtosql = "AND A.CID>'".mysql_real_escape_string($fromid)."'";
	}
	if($toid > 0)
	{
		$addtosql .= "AND A.CID<='".mysql_real_escape_string($toid)."'";
		Stemplate::assign('toid',$toid);
	}
	if($did > 0)
	{
		$addtosql .= "AND B.DID='".mysql_real_escape_string($did)."'";
		Stemplate::assign('did',$did);
	}
	if($title != "")
	{
		$addtosql .= "AND B.title like'%".mysql_real_escape_string($title)."%'";
		Stemplate::assign('title',$title);
	}
	if($details != "")
	{
		$addtosql .= "AND A.details like'%".mysql_real_escape_string($details)."%'";
		Stemplate::assign('details',$details);
	}
	if($username != "")
	{
		$addtosql .= "AND C.username like'%".mysql_real_escape_string($username)."%'";
		Stemplate::assign('username',$username);
	}
	Stemplate::assign('search',"1");
}
//Search End

$page = intval($_REQUEST['page']);
if($page=="")
{
	$page = "1";
}
$currentpage = $page;

if ($page >=2)
{
	$pagingstart = ($page-1)*$config['items_per_page'];
}
else
{
	$pagingstart = "0";
}

$queryselected = "select A.CID,B.DID,C.username from docs_comments A,docs B, members C WHERE A.DID=B.DID AND A.USERID=C.USERID $addtosql $sort $sorthow limit $config[maximum_results]";
$query2 = "select A.*,B.DID,B.title,C.username from docs_comments A,docs B, members C WHERE A.DID=B.DID AND A.USERID=C.USERID $addtosql $sort $sorthow limit $pagingstart, $config[items_per_page]";
$executequeryselected = $conn->Execute($queryselected);
$totaldocs = $executequeryselected->rowcount();	
if ($totaldocs > 0)
{
	if($totaldocs<=$config[maximum_results])
	{
		$total = $totaldocs;
	}
	else
	{
		$total = $config[maximum_results];
	}
	$toppage = ceil($total/$config[items_per_page]);
	if($toppage==0)
	{
		$xpage=$toppage+1;
	}
	else
	{
		$xpage = $toppage;
	}
	$executequery2 = $conn->Execute($query2);	
	$results = $executequery2->getrows();
	$beginning=$pagingstart+1;
	$ending=$pagingstart+$executequery2->recordcount();
	$pagelinks="";
	$k=1;
	$theprevpage=$currentpage-1;
	$thenextpage=$currentpage+1;
	if ($currentpage > 0)
	{	
		if($currentpage > 1) 
		{
			$pagelinks.="<a href='$adminurl/comments_docs.php?page=1$add1' title='first page'>First</a>&nbsp;";
			$pagelinks.="<a href='$adminurl/comments_docs.php?page=$theprevpage$add1'>Previous</a>&nbsp;";
		};
		$counter=0;
		$lowercount = $currentpage-5;
		if ($lowercount <= 0) $lowercount = 1;
		while ($lowercount < $currentpage)
		{
			$pagelinks.="<a href='$adminurl/comments_docs.php?page=$lowercount$add1'>$lowercount</a>&nbsp;";
			$lowercount++;
			$counter++;
		}
		$pagelinks.=$currentpage."&nbsp;";
		$uppercounter = $currentpage+1;
		while (($uppercounter < $currentpage+10-$counter) && ($uppercounter<=$toppage))
		{
			$pagelinks.="<a href='$adminurl/comments_docs.php?page=$uppercounter$add1'>$uppercounter</a>&nbsp;";
			$uppercounter++;
		}
		if($currentpage < $toppage) 
		{
			$pagelinks.="<a href='$adminurl/comments_docs.php?page=$thenextpage$add1'>Next</a>&nbsp;";
			$pagelinks.="<a href='$adminurl/comments_docs.php?page=$toppage$add1' title='last page'>Last</a>&nbsp;";
		};
	}
}
else
{
	$error = "There are no document comments yet.";
}

$mainmenu = "9";
$submenu = "1";
Stemplate::assign('mainmenu',$mainmenu);
Stemplate::assign('submenu',$submenu);
Stemplate::assign('sorthow',$sorthow);
Stemplate::assign('sortby',$sortby);
Stemplate::assign('currentpage',$currentpage);
STemplate::display("administrator/global_header.tpl");
STemplate::assign('beginning',$beginning);
STemplate::assign('ending',$ending);
STemplate::assign('pagelinks',$pagelinks);
STemplate::assign('total',$total+0);
STemplate::assign('results',$results);
Stemplate::assign('error',$error);
STemplate::display("administrator/comments_docs.tpl");
STemplate::display("administrator/global_footer.tpl");
?>